/**
 * Block Class represents a block with it cells and number
 *
 * @author zahra_fatehi
 * @version 0.0
 */

import java.util.ArrayList;

public class Block {

    private ArrayList<Cell> allCells;
    private int number;

    /**
     *create a list of cells for the block
     */
    public Block(){
        allCells = new ArrayList<>();
    }

    /**
     * @return number of a block
     */
    public int getNumber() {
        return number;
    }

    /**
     * @param number is the number of block
     */
    public void setNumber(int number) {
        this.number = number;
    }

    /**
     * create 9 cells for a block
     */
    public void createCells(){
        for (int i = 0 ; i < 9  ; i++ ){
            Cell cell = new Cell();
            cell.setColor('O');
            allCells.add(cell);
        }
    }

    /**
     * @param turn is the field that shows how to change the position
     */
    public void changePositionOfBlock(String turn){
        Cell transporterCell;
        if ( turn.equals("right")){
            allCells.add(2,allCells.get(0));
            allCells.remove(0);
            allCells.add(0,allCells.get(2));
            allCells.remove(3);

            allCells.add(5,allCells.get(1));
            allCells.remove(1);
            allCells.add(1,allCells.get(5));
            allCells.remove(6);

            allCells.add(8,allCells.get(0));
            allCells.remove(0);
            allCells.add(0,allCells.get(8));
            allCells.remove(9);

            allCells.add(3,allCells.get(1));
            allCells.remove(1);
            allCells.add(1,allCells.get(3));
            allCells.remove(4);

            allCells.add(6,allCells.get(0));
            allCells.remove(0);
            allCells.add(0,allCells.get(6));
            allCells.remove(7);

            allCells.add(7,allCells.get(3));
            allCells.remove(3);
            allCells.add(3,allCells.get(7));
            allCells.remove(8);
        }
        else if ( turn.equals("left")){
            turn = "right";
            changePositionOfBlock(turn);
            changePositionOfBlock(turn);
            changePositionOfBlock(turn);
        }
        else {
            System.out.println("this position doesn't exist");
        }
    }

    /**
     * @return all cells in a block
     */
    public ArrayList<Cell> getAllCells() {
        return allCells;
    }

}
